package fr.velossity.sample.device;

/**
 * 
 * @author C. Saint-Marcel
 * 
 */
public class Measurement {

	private Device source;
	private float value;
	private String unit;
	private long timestamp;
	
	public Measurement(Device source, float value, String unit, long timestamp) {
		super();
		this.source = source;
		this.value = value;
		this.unit = unit;
		this.timestamp = timestamp;
	}

	/**
	 * 
	 * @return the measurement source
	 */
	public Device getSource() {
		return source;
	}

	/**
	 * 
	 * @return the measurement value
	 */
	public float getValue() {
		return value;
	}

	/**
	 * 
	 * @return the measurement unit
	 */
	public String getUnit() {
		return unit;
	}

	/**
	 * 
	 * @return the measurement timestamp
	 */
	public long getTimestamp() {
		return timestamp;
	}
	
	
}
